Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.convert
Class FileUploadConverter

    java.lang.Object
      com.tonbeller.wcf.convert.NodeConverterBase
          com.tonbeller.wcf.convert.FileUploadConverter

All Implemented Interfaces:
  NodeConverter

public class FileUploadConverter
extends NodeConverterBase

Constructor Summary
`FileUploadConverter()`

Method Summary
`void` | `convert(Formatter fmt, java.util.Map param, java.util.Map fileSource, org.w3c.dom.Element element, java.lang.Object bean)` converts http parameters in requestSource and updates the domTarget and beanTarget.
`void` | `convert(Formatter fmt, java.lang.Object bean, org.w3c.dom.Element element)` updates the domTarget according to the current property values of beanSource

Methods inherited from class com.tonbeller.wcf.convert.NodeConverterBase
`checkRequired, getElementName, setElementName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileUploadConverter

    public FileUploadConverter()

Method Detail

### convert

    public void convert(Formatter fmt,
                        java.util.Map param,
                        java.util.Map fileSource,
                        org.w3c.dom.Element element,
                        java.lang.Object bean)
                 throws java.lang.IllegalAccessException,
                        java.lang.NoSuchMethodException,
                        java.lang.reflect.InvocationTargetException

  Description copied from interface: `NodeConverter`
  converts http parameters in requestSource and updates the domTarget and beanTarget. the domTarget also contains metadata, e.g. the type and formatString attributes.

  Parameters:
    `fmt` - Formatter to be used to parse and format user input
    `param` - a map containing http parameters. key = String, value = String[]
    `element` - a DOM tree containing UI elements like TextField etc including the following attributes:
    - `type` the data type, i.e. the id to find the formatter
    - `value` the formatted value will be written to this attribute
    - `formatString` optional, overwrites the default formatString of the FormatHandler
    - `modelReference` optional, if present the attribute name of the bean property. a jakarta-commons/bean-utils path is supported
    - `id` unique id. Used to identify DOM elements from HTTP Parameters
  Throws:
    `java.lang.IllegalAccessException`
    `java.lang.NoSuchMethodException`
    `java.lang.reflect.InvocationTargetException`

### convert

    public void convert(Formatter fmt,
                        java.lang.Object bean,
                        org.w3c.dom.Element element)
                 throws ConvertException,
                        java.lang.IllegalAccessException,
                        java.lang.NoSuchMethodException,
                        java.lang.reflect.InvocationTargetException

  Description copied from interface: `NodeConverter`
  updates the domTarget according to the current property values of beanSource

  Throws:
    `ConvertException`
    `java.lang.IllegalAccessException`
    `java.lang.NoSuchMethodException`
    `java.lang.reflect.InvocationTargetException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD